Bug 242539 - Review Request: freetds - Implementation of the TDS (Tabular DataStream) protocol
Review Request: freetds - Implementation of the TDS (Tabular DataStream) prot...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 14:41 EDT by Dmitry Butskoy
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 12:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2007-06-04 14:41:31 EDT
Spec URL: http://dmitry.butskoy.name/freetds/freetds.spec
SRPM URL: http://dmitry.butskoy.name/freetds/freetds-0.64-4.src.rpm

Description: 
FreeTDS is a project to document and implement the TDS (Tabular
DataStream) protocol. TDS is used by Sybase(TM) and Microsoft(TM) for
client to database server communications. FreeTDS includes call
level interfaces for DB-Lib, CT-Lib, and ODBC.
Comment 1 Dmitry Butskoy 2007-06-04 14:46:53 EDT
May be avoid trademarks in the Summary?...
Comment 2 Peter Lemenkov 2007-06-04 15:22:41 EDT
Looks like we can't include FreeTDS into main Fedora's repo:

http://fedoraproject.org/wiki/ForbiddenItems#FreeTDS

You'd better post review request to Livna's bugzilla.
Comment 3 Hans de Goede 2007-06-04 15:40:42 EDT
(In reply to comment #1)
> May be avoid trademarks in the Summary?...
> 


Yes that would be a good idea.

(In reply to comment #2)
> Looks like we can't include FreeTDS into main Fedora's repo:
> 
> http://fedoraproject.org/wiki/ForbiddenItems#FreeTDS
> 
> You'd better post review request to Livna's bugzilla.

That info is out of date, see the recent thread on the fedora-devel mailinglist.
I've updated the wiki to match the current state of afairs, this ackage actually
comes from livna and is moving to Fedora, with permission of Tom "Spot" Callaway
(@redhat.com).
Comment 4 Dmitry Butskoy 2007-06-11 09:21:48 EDT
ping Hans... :)
Comment 5 Hans de Goede 2007-06-11 15:48:16 EDT
MUST:
=====
* rpmlint output is:
W: freetds strange-permission freetds.spec 0666
W: freetds strange-permission freetds-0.64-makefile-doc.patch 0666
W: freetds strange-permission freetds-0.64.tar.gz 0666
# You should check these, might be something with my setup though
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* Shared libraries, ldconfig run as required
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* -devel package as needed
* no .desktop file required

Should Fix
==========
* This:
cr=`echo -en '\r'`
sed -i "s/$cr//" doc/tds_ssl.html
Is a rather convoluted way of saying this:
sed -i 's/\r//' doc/tds_ssl.html

About the trademarks in the description, I think there is no other sensible way
to describe this package and that the TM use is a typical case of fair use.

You might want to add a sentence: "All trademarks are the property of their
respective owners".

I see no blockers, approved!
Comment 6 Dmitry Butskoy 2007-06-13 09:08:07 EDT
> strange permission 0666
Livna does not play with umask too... :)

> sed -i 's/\r//' doc/tds_ssl.html
Sure, done.

Summary changed to just: "Implementation of the TDS (Tabular DataStream) protocol"
Comment 7 Dmitry Butskoy 2007-06-13 09:10:34 EDT
New Package CVS Request
=======================
Package Name: freetds
Short Description: Implementation of the TDS (Tabular DataStream) protocol
Owners: dmitry@butskoy.name
Branches: FC-6 F-7
InitialCC: 
Comment 8 Dmitry Butskoy 2007-06-13 12:26:42 EDT
Build OK, see results at http://koji.fedoraproject.org/packages/freetds/
Comment 9 Dmitry Butskoy 2007-07-25 10:18:47 EDT
Package Change Request
======================
Package Name: freetds
New Branches: EL-4 EL-5

Note You need to log in before you can comment on or make changes to this bug.